Subject: devel-digest V2 #174
From: [email-masked] (devel-digest)
To: [email-masked]

devel-digest          Wednesday, May 19 1999          Volume 02 : Number 174

In this issue:

    Re: Xconfigurator usage
    Re: dma
    Re: dma
    Re: Xconfigurator usage
    Re: dma
    KDE 1.1.1 anyone?

See the end of this digest for information about devel-digest.

----------------------------------------------------------------------

Date: Tue, 18 May 1999 13:55:57 +0000
From: Ralph Siemsen <[email-masked]>
Subject: Re: Xconfigurator usage

Can you check the version of the Xconfigurator rpm you've got (should be
Xconfigurator-3.57-2.armv4.rpm) if not grab an update from the
pub/ccc/redhat/RPMS directory on the ftp site.  The netwinder version was
customized for the specific card (it didn't ask about the card at all) and
shouldn't need a database.  'twas a long time ago though...
 
- -- 
Ralph Siemsen -- [email-masked]
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Tue, 18 May 1999 10:53:49 -0400
From: Woody Suwalski <[email-masked]>
Subject: Re: dma

Darryl DeGraff wrote:

> Under DM-10, if I selected DMA channel 1 to use for the parallel the value
> that was --actually used-- for the dma functions was one less.  Is this
> still the case with DM-12 and later?
>
> darryl (li-COR)
>
>

Yep, it should be still valid.
The only time when it was different, was with earlier RMK 2.2 patches, which
counted 2 not wired DMA channels inside the footbridge at the start of DMA
numbers. But I believe that it is back to "normal" by now...

Woody

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Tue, 18 May 1999 11:24:44 -0500
From: "Darryl DeGraff" <[email-masked]>
Subject: Re: dma

I determined what was different: interrupts work under dm10.
However, I seem to get an interrupt that is not my own!

Are you aware of any issues related to interrupts in dm10 vs dm12?

darryl (li-cor)

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Tue, 18 May 1999 10:22:30 -0700 (BST)
From: Tim Rowledge <[email-masked]>
Subject: Re: Xconfigurator usage

On Tue 18 May, Ralph Siemsen wrote:
> Can you check the version of the Xconfigurator rpm you've got
rpm -qi says: 3.57-2, built sept 15 98, installd oct 5
which Xconfigurator says /usrX11R6/bin/Xconfigurator
ls -las -"- says size is 89524 b.
Which I think adds up to it being the version as installed in the dm12 image,
rather than anything inadvertantly added by me.

I just did rpm -U --nodeps --force ftp://ftp.netwinder.
org/pub/ccc/RPMS/Xconfigurator-3.57-2.armv4.rpm which appeared to load ok and
the resultant Xconfigurator has exactly the same behaviour.

tim

- -- 
Strange OpCodes: SSD: Scramble Segment Directory
Tim Rowledge:  [email-masked] (w)  +1 (650) 842-6110 (w)
 [email-masked] (h)  <http://sumeru.stanford.edu/tim>

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Tue, 18 May 1999 21:16:46 +0100 (BST)
From: Russell King <[email-masked]>
Subject: Re: dma

Woody Suwalski writes:
> Yep, it should be still valid.
> The only time when it was different, was with earlier RMK 2.2 patches, which
> counted 2 not wired DMA channels inside the footbridge at the start of DMA
> numbers. But I believe that it is back to "normal" by now...

I wouldn't call it 'normal' - it's the wrong way round for a machine without
ISA...  but yes, the later 2.2 patches have the ISA IRQs and DMAs as the lower
numbers now.
   _____
  |_____| ------------------------------------------------- ---+---+-
  |   |         Russell King        [email-masked]      --- ---
  | | | |   http://www.arm.linux.org.uk/~rmk/aboutme.html    /  /  |
  | +-+-+                                                     --- -+-
  /   |               THE developer of ARM Linux              |+| /|\
 /  | | |                                                     ---  |
    +-+-+ -------------------------------------------------  /\\\  |
- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

Date: Tue, 18 May 1999 18:18:39 -0700 (BST)
From: Tim Rowledge <[email-masked]>
Subject: KDE 1.1.1 anyone?

Has anyone got around to building KDE 1.1.1 yet?

- -- 
Programmer: One who is too lacking in people skills to be a software engineer.
Tim Rowledge:  [email-masked] (w)  +1 (650) 842-6110 (w)
 [email-masked] (h)  <http://sumeru.stanford.edu/tim>

- --
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel" as the body of your message.

------------------------------

End of devel-digest V2 #174
***************************

--
This list is run automagically by Majordomo 1.94.4
Please send email questions to [email-masked]
To UNSUBSCRIBE: email [email-masked] with
"unsubscribe devel-digest" as the body of your message.